De drie schema’s
Elk schema is een korte tekst die een telefoon aan de juiste app weet door te geven. mailto: opent de e-mailapp, tel: opent het kiesscherm en sms: opent de berichtenapp, met de ontvanger en soms het bericht al ingevuld.
Telefoonnummers werken het best in internationaal formaat met een plusteken en landcode, zoals +15035550123, zodat de code ook voor bezoekers uit andere landen werkt.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (oudere conventie, nog steeds breed gelezen)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (oudere e-mailconventie)
De berichttekst coderen
Onderwerpen en berichttekst in mailto- en sms-links moeten met procentcodering worden geschreven, dus een spatie wordt %20 en een ampersand in de tekst wordt %26. Niet-gecodeerde tekens kunnen het bericht afkappen of de link breken.
Platforms hebben de sms-parameter body niet altijd op dezelfde manier verwerkt, en dat is een reden dat het oudere SMSTO: nog gangbaar is in QR-generatoren. Testen op zowel iPhone als Android voor je print is de betrouwbare controle.
Wat deze codes niet kunnen
Een QR-code kan zelf geen e-mail of sms versturen en niemand bellen. Hij opent alleen de app met de velden ingevuld, en de persoon die scant beslist of hij op verzenden of bellen drukt.
Omdat de ontvanger vóór het verzenden zichtbaar is, moeten mensen controleren of die overeenkomt met wat ze verwachten. Een code die een bericht vooraf invult naar een nummer met een premiumtarief of een onbekend adres is een waarschuwingssignaal.